Karia
ReferencesOpenapiNovated asset

Get novated asset

GET
/organisation/{orgId}/workspace/{workspaceId}/novated-asset/{assetId}

Retrieve a novated asset in the specified organisation and workspace by numeric ID or asset reference ID.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
assetId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/novated-asset/string"
{
  "id": 0,
  "referenceId": "string",
  "status": "string",
  "name": "string",
  "description": "string",
  "type": "string",
  "fbtBenefitType": "string",
  "businessUsage": "string",
  "carImageUrl": "string",
  "createdAt": "string",
  "vehicle": {
    "id": 0,
    "condition": "string",
    "make": "string",
    "model": "string",
    "year": "string",
    "badge": "string",
    "bodyStyle": "string",
    "transmission": "string",
    "fuelType": "string",
    "exteriorColour": "string",
    "interiorColour": "string",
    "driveType": "string",
    "vin": "string",
    "nvic": "string",
    "registrationNumber": "string",
    "stateOfRegistration": "string",
    "registrationDate": "string",
    "registrationRenewalDate": "string"
  }
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}